PHP Manual
Prev |  | Next

# yaz_wait

(PHP 4 >= 4.0.1, PECL)

yaz_wait -- Wait for Z39.50 requests to complete

## Description

mixed yaz_wait ( [array &options] )

This function carries out networked (blocked) activity for outstanding requests which have been prepared by the functions yaz_connect(), yaz_search(), yaz_present(), yaz_scan() and yaz_itemorder().

yaz_wait() returns when all servers have either completed all requests or aborted (in case of errors).

## Parameters

options

  An associative array of options:

  timeout

    Sets timeout in seconds. If a server has not responded within the timeout it is considered dead and yaz_wait() returns. The default value for timeout is 15 seconds.

  event

    A boolean.

## Return Values

Returns `TRUE` on success or `FALSE` on failure. In event mode, returns resource or `FALSE` in case of an error.

Prev | Home | Next
yaz_syntax | Up | YP/NIS Functions